Subject: [bug#30797] [PATCH 1/2] gnu: Add emacs-exec-path-from-shell

From: Oleg Pykhalov <[email-masked]>
Date: Fri, 16 Mar 2018 17:13:45 +0300

Hello Konrad,

Konrad Hinsen <[email-masked]> writes:

> * gnu/packages/emacs.scm (emacs-exec-path-from-shell): New variable.
> ---
>  gnu/packages/emacs.scm | 25 +++++++++++++++++++++++++
>  1 file changed, 25 insertions(+)
>
> diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
> index c2c162c75..35acfdd20 100644
> --- a/gnu/packages/emacs.scm
> +++ b/gnu/packages/emacs.scm
> @@ -7361,3 +7361,28 @@ highlighting and indentation support.")
>  @uref{https://www.terraform.io/, Terraform} configuration files.  Most of the
>  functionality is inherited from @code{hcl-mode}.")
>      (license license:gpl3+)))
> +

[…]

> +    (description
> +     "This library allows the user to set Emacs' @code{exec-path} and

I still think this apostrophe is unnecessary.  I removed it if you don't
mind.  ;-)

-     "This library allows the user to set Emacs' @code{exec-path} and
+     "This library allows the user to set Emacs @code{exec-path} and

[…]

In addition, according to Bash documentation [1] variables don't have
‘$’ in their description.

-    (synopsis "Get environment variables such as $PATH from the shell")
+    (synopsis "Get environment variables such as @var{PATH} from the shell")

- [1]  https://www.gnu.org/software/bash/manual/html_node/Bash-Variables.html

And in the description, we could use ‘@var’ instead of ‘@code’:

-This library allows the user to set Emacs @code{exec-path} and
+This library allows the user to set Emacs @var{exec-path} and

-@code{$PATH} from the shell path, so that @code{shell-command},
+@var{PATH} from the shell @var{PATH}, so that @code{shell-command},

Also don't forget a dot at end the in commit message.

    gnu: Add emacs-exec-path-from-shell.

Pushed with changes above as 22d628148ce857b620f5b8e48dc7cabe004313c5

I'll close the bug report.

Thanks,
Oleg.